CalryOTA Docs
Search

Search for listings by IDs

Searches available listings by providing a list of listing IDs, along with optional booking criteria such as dates, guest count, and currency.

POST
/api/v1/search/ids

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/search/ids" \  -H "Content-Type: application/json" \  -d '{    "listingIDs": [      "123e4567-e89b-12d3-a456-426614174000"    ]  }'
{
  "checkInDate": "2025-06-15",
  "checkOutDate": "2025-06-22",
  "location": "37.7749,-122.4194",
  "radius": 10,
  "guests": 2,
  "amenities": [
    "wifi",
    "pool",
    "kitchen"
  ],
  "promotionID": "123e4567-e89b-12d3-a456-426614174000",
  "listings": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "providerID": "3827197",
      "integrationAccountID": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Cozy Apartment with Ocean View",
      "description": "This beautiful apartment offers stunning ocean views...",
      "address": {
        "city": "San Francisco",
        "line1": "123 Main St",
        "line2": "Apt 1",
        "state": "CA",
        "country": "United States",
        "postal_code": "94101"
      },
      "thumbnailURL": "https://example.com/images/listing_thumbnail.jpg",
      "pictures": [
        {
          "url": "https://example.com/images/listing_1.jpg",
          "description": "Living room with ocean view"
        }
      ],
      "rating": {
        "count": 42,
        "average": 4.8
      },
      "maxOccupancy": 4,
      "currency": "USD",
      "latitude": 37.7749,
      "longitude": -122.4194,
      "bedroomCount": 2,
      "bathroomCount": 1.5,
      "avgNightlyPrice": 150,
      "channelMarkupPercentage": 10,
      "distance": 3.5,
      "tags": [
        {
          "id": "a1111111-1111-1111-1111-111111111111",
          "name": "Beachfront"
        },
        {
          "id": "b2222222-2222-2222-2222-222222222222",
          "name": "Pet Friendly"
        }
      ],
      "isPromoted": true,
      "promotionValue": 20,
      "amenities": {
        "categories": {
          "Common Amenities": {
            "categoryID": "common",
            "values": [
              {
                "name": "Wifi",
                "id": "amenity-123"
              },
              {
                "name": "Kitchen",
                "id": "amenity-123"
              },
              {
                "name": "Iron",
                "id": "amenity-123"
              },
              {
                "name": "Pet friendly",
                "id": "amenity-123"
              },
              {
                "name": "Bed linens",
                "id": "amenity-123"
              }
            ]
          },
          "Outdoor": {
            "categoryID": "outdoor",
            "values": [
              {
                "name": "Smoking allowed",
                "id": "amenity-123"
              }
            ]
          }
        }
      },
      "priceModifications": {
        "defaultDiscount": {
          "percentage": 10,
          "value": 15
        },
        "markup": {
          "percentage": 5,
          "value": 7.5
        },
        "promotionDiscount": {
          "percentage": 15,
          "value": 22.5,
          "promotionID": "123e4567-e89b-12d3-a456-426614174000",
          "promotionName": "Summer Sale"
        }
      }
    }
  ],
  "meta": {
    "count": 120,
    "limit": 20,
    "previous": 1,
    "current": 2,
    "next": 3,
    "pages": 6
  }
}
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}